package LisaaPelaaja;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author joonatan
 * @version 31.1.2024
 *
 */
public class LisaaPelaajaMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("LisaaPelaajaGUIView.fxml"));
            final Pane root = ldr.load();
            //final LisaaPelaajaGUIController lisaapelaajaCtrl = (LisaaPelaajaGUIController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("lisaapelaaja.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("LisaaPelaaja");
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}